{% extends 'public/base.html' %}

{% block scripts %}
  {{super()}}
  <script src="{{ url_for('static', filename='js/jquery.dataTables.min.js') }}"></script>
  <script src="{{ url_for('static', filename='js/dataTables.bootstrap4.min.js') }}"></script>
  <script src="{{ url_for('static', filename='js/datatables.js') }}"></script>
  <script>
    function saveJSON(text, filename){
      var a = document.createElement('a');
      a.setAttribute('href', 'data:text/plain;charset=utf-8,'+encodeURIComponent(text));
      a.setAttribute('download', filename);
      a.click()
    }

  </script>
{% endblock %}

{% block page_content %}
  <div class="row">
    <!-- Area Chart -->
    <div class="col-xl-12 col-lg-12">
      <div class="card shadow mb-12">
        <!-- Card Header - Dropdown -->
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
          <h6 class="m-0 font-weight-bold text-primary">ATC Positions</h6>
        </div>
        <div class="card-body">
          <div class="table-responsive">
            <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
              <thead>
                <tr>
                  <th>Position</th>
                  <th>Frequency</th>
                  <th>Min ATC Rating</th>
                </tr>
              </thead>
              <tfoot>
                <tr>
                  <th>Position</th>
                  <th>Frequency</th>
                  <th>Min ATC Rating</th>
                </tr>
              </tfoot>
              <tbody>
                {% for atcposition in atcpositions %}
                  <tr>
                    <td>{{ atcposition.position }}</td>
                    <td>{{ "{:,.3f}".format(atcposition.frequency) }}</td>
                    <td><li class="vatsim-rating {{atcratings.get_rating(atcposition.min_rating).lower()}}"></li></td>
                  </tr>
                {% endfor %}
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
  </div>
{% endblock %}
